Update email settings
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/settings/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_name": "<string>",
"reply_to": "jsmith@example.com",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/settings/email"
payload = {
"sender_name": "<string>",
"reply_to": "jsmith@example.com",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender_name: '<string>',
reply_to: 'jsmith@example.com',
signature: '<string>',
button_color: '<string>',
zenedu_branding: true
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/settings/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/settings/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sender_name' => '<string>',
'reply_to' => 'jsmith@example.com',
'signature' => '<string>',
'button_color' => '<string>',
'zenedu_branding' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/settings/email"
payload := strings.NewReader("{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/settings/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/settings/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": {
"sender_name": "<string>",
"effective_sender_name": "<string>",
"reply_to": "<string>",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true,
"logo_url": "<string>"
},
"branding": {
"zenedu_branding": true,
"theme": "system",
"button_color": "<string>"
},
"integrations": {
"meta_pixel_id": "<string>",
"meta_capi_token_hint": "<string>",
"google_analytics_id": "<string>",
"google_tag_manager_id": "<string>",
"google_sheets": {
"connected": true,
"email": "<string>",
"requires_reauth": true,
"spreadsheets": [
{
"id": 123,
"spreadsheet_id": "<string>",
"name": "<string>"
}
]
}
},
"legal": [
{
"type": "privacy",
"enabled": true,
"title": "<string>",
"text": "<string>"
}
]
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Настройки бота
Обновить настройки писем
Обновляет настройки отправителя писем бота
PATCH
/
api
/
v1
/
bot
/
{bot}
/
settings
/
email
Update email settings
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/settings/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_name": "<string>",
"reply_to": "jsmith@example.com",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/settings/email"
payload = {
"sender_name": "<string>",
"reply_to": "jsmith@example.com",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender_name: '<string>',
reply_to: 'jsmith@example.com',
signature: '<string>',
button_color: '<string>',
zenedu_branding: true
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/settings/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/settings/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sender_name' => '<string>',
'reply_to' => 'jsmith@example.com',
'signature' => '<string>',
'button_color' => '<string>',
'zenedu_branding' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/settings/email"
payload := strings.NewReader("{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/settings/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/settings/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sender_name\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"signature\": \"<string>\",\n \"button_color\": \"<string>\",\n \"zenedu_branding\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": {
"sender_name": "<string>",
"effective_sender_name": "<string>",
"reply_to": "<string>",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true,
"logo_url": "<string>"
},
"branding": {
"zenedu_branding": true,
"theme": "system",
"button_color": "<string>"
},
"integrations": {
"meta_pixel_id": "<string>",
"meta_capi_token_hint": "<string>",
"google_analytics_id": "<string>",
"google_tag_manager_id": "<string>",
"google_sheets": {
"connected": true,
"email": "<string>",
"requires_reauth": true,
"spreadsheets": [
{
"id": 123,
"spreadsheet_id": "<string>",
"name": "<string>"
}
]
}
},
"legal": [
{
"type": "privacy",
"enabled": true,
"title": "<string>",
"text": "<string>"
}
]
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизации
API token from the Zenedu dashboard
Параметры пути
Bot ID
Тело
application/json
All fields are optional; only the fields present in the request are changed.
Sender name
Maximum string length:
255Reply-to address
Maximum string length:
255Email signature
Maximum string length:
1000Button color as a hex value, e.g. #1A2B3C
Pattern:
^#[0-9A-Fa-f]{6}$Whether Zenedu branding is shown in emails
Ответ
Updated bot settings
Show child attributes
Show child attributes